[SciPy-user] installation on fedora core 4

Ryan Krauss ryanlists at gmail.com
Mon Oct 10 08:35:12 CDT 2005


I thought I was getting there.  I don't know if this is the easiest or
best way, but I installed atlas, blas, and lapack (and the devels)
with yum from fedora extras.  I also had to install compat-gcc-32-g77
from yum (FC4 comes only with f95 and not f77).  Things seem to go
o.k. for a while and then the install exited with:
gcc: build/src/Lib/interpolate/dfitpackmodule.c
build/src/Lib/interpolate/dfitpackmodule.c: In function
'f2py_rout_dfitpack_surf it_smth':
build/src/Lib/interpolate/dfitpackmodule.c:2446: error: invalid
storage class fo r function 'calc_lwrk1'
build/src/Lib/interpolate/dfitpackmodule.c:2458: error: invalid
storage class fo r function 'calc_lwrk2'
build/src/Lib/interpolate/dfitpackmodule.c: In function
'f2py_rout_dfitpack_surf it_lsq':
build/src/Lib/interpolate/dfitpackmodule.c:2882: error: invalid
storage class fo r function 'calc_lwrk1'
build/src/Lib/interpolate/dfitpackmodule.c:2894: error: invalid
storage class fo r function 'calc_lwrk2'
build/src/Lib/interpolate/dfitpackmodule.c: In function
'f2py_rout_dfitpack_surf it_smth':
build/src/Lib/interpolate/dfitpackmodule.c:2446: error: invalid
storage class fo r function 'calc_lwrk1'
build/src/Lib/interpolate/dfitpackmodule.c:2458: error: invalid
storage class fo r function 'calc_lwrk2'
build/src/Lib/interpolate/dfitpackmodule.c: In function
'f2py_rout_dfitpack_surf it_lsq':
build/src/Lib/interpolate/dfitpackmodule.c:2882: error: invalid
storage class fo r function 'calc_lwrk1'
build/src/Lib/interpolate/dfitpackmodule.c:2894: error: invalid
storage class fo r function 'calc_lwrk2'
error: Command "gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -g
-pipe -Wp,-D_F ORTIFY_SOURCE=2 -fexceptions -m32 -march=i386
-mtune=pentium4 -fasynchronous-unw ind-tables -D_GNU_SOURCE -fPIC
-fPIC -Ibuild/src -I/usr/include/python2.4 -c bui
ld/src/Lib/interpolate/dfitpackmodule.c -o
build/temp.linux-i686-2.4/build/src/L ib/interpolate/dfitpackmodule.o"
failed with exit status 1

Any help?  (I should mention that I downloaded the source for scipy
0.3.2 from the website and used python setup.py install.)

Ryan

On 10/10/05, Ryan Krauss <ryanlists at gmail.com> wrote:
> I have recently installed fedora core 4.  What is the easiest way to
> get scipy installed for python 2.4?  I ran fedora core 3 for a while
> and had to go through a bit of pain to get scipy installed (building
> ATLAS from source and other things).  Is there an easier way to get a
> fairly recent version?  Can I add a repo to yum?
>
> Thanks,
>
> Ryan
>



More information about the SciPy-user mailing list